pass_template: 
    samplerstates:
        samLinear:
            filter: MIN_MAG_MIP_LINEAR
            addressU: CLAMP
            addressV: CLAMP
    type: match-color-input
    constant-buffers: 
        globalParams: {screenSize: SCREEN_SIZE, elapsedTime: ELAPSED_TIME, captureState: CAPTURE_STATE}
        controlBuf: {g_sldHue : hueSlider, g_sldIntensity: intensitySlider, g_sldTemperature : temperatureSlider} 

typical_slider1:
      type: float
      minimum-value: 0.0
      maximum-value: 1.0
      default-value: 0.0
      ui-sticky-region: 0.01
      ui-value-unit: "%"
      ui-value-min: 0
      ui-value-max: 100
      ui-value-step: 5

typical_slider2:
      type: float
      minimum-value: -1.0
      maximum-value: 1.0
      default-value: 0.0
      ui-sticky-region: 0.01
      ui-value-unit: "%"
      ui-value-min: -100
      ui-value-max: 100
      ui-value-step: 5
      
user-constants:
    - name: hueSlider 
      ui-label: "Tint Color"
      ui-label-localized:
          ru-RU:  "Оттенок цвета"
          fr-FR:  "Couleur teinte"
          it-IT:  "Colore"
          de-DE:  "Farbton"
          es-ES:  "Color del tinte"
          es-MX:  "Color del tinte"
          zh-CHS: "着色颜色"
          zh-CHT: "濃淡色彩"
          ja-JP:  "淡彩"
          cs-CZ:  "Barva odstínu"
          da-DK:  "Tonerfarve"
          el-GR:  "Χρωματικός τόνος"
          en-UK:  "Tint color"
          fi-FI:  "Sävy"
          hu: "Tónus színe"
          ko-KR:  "색조 색"
          nl-NL:  "Keur van tint"
          nb-NO:  "Tonefarge"
          pl: "Odcień"
          pt-PT:  "Cor do tom"
          pt-BR:  "Cor da tonalidade"
          sl-SI:  "Barva odtenka"
          sk-SK:  "Farba odtieňa"
          sv-SE:  "Färgton"
          th-TH:  "สีอ่อน"
          tr-TR:  "Ton rengi"        
      default-value: 0.0
      ui-sticky-value: 0.0
      ui-value-unit: ""
      import: [typical_slider1]
    - name: intensitySlider 
      ui-label: "Tint Intensity"
      ui-label-localized:
          ru-RU:  "Интенсивность цвета"
          fr-FR:  "Intensité teinte"
          it-IT:  "Intensità"
          de-DE:  "Farbintensität"
          es-ES:  "Intensidad del tinte"
          es-MX:  "Intensidad del tinte"
          zh-CHS: "着色强度"
          zh-CHT: "濃淡強度"
          ja-JP:  "濃淡"
          cs-CZ:  "Intenzita odstínu"
          da-DK:  "Tonerintensitet"
          el-GR:  "Ένταση χρωματικού τόνου"
          en-UK:  "Tint intensity"
          fi-FI:  "Sävyn vahvuus"
          hu: "Tónus intenzitása"
          ko-KR:  "색조 강도"
          nl-NL:  "Intensiteit van tint"
          nb-NO:  "Toneintensitet"
          pl: "Intesywność"
          pt-PT:  "Intensidade do tom"
          pt-BR:  "Intensidade da tonalidade"
          sl-SI:  "Intenzivnost odtenka"
          sk-SK:  "Intenzita odtieňa"
          sv-SE:  "tonintensitet"
          th-TH:  "ความเข้มของสี"
          tr-TR:  "Ton yoğunluğu"
      default-value: 0.0
      ui-sticky-value: 0.0
      import: [typical_slider1]
    - name: temperatureSlider 
      ui-label: "Temperature"
      ui-label-localized:
          ru-RU:  "Температура"
          fr-FR:  "Température"
          it-IT:  "Temperatura"
          de-DE:  "Temperatur"
          es-ES:  "Temperatura"
          es-MX:  "Temperatura"
          zh-CHS: "温度"
          zh-CHT: "色溫"
          ja-JP:  "温度"
          cs-CZ:  "Teplota"
          da-DK:  "Temperatur"
          el-GR:  "Θερμοκρασία"
          en-UK:  "Temperature"
          fi-FI:  "Värilämpötila"
          hu: "Hőmérséklet"
          ko-KR:  "온도"
          nl-NL:  "Temperatuur"
          nb-NO:  "Temperatur"
          pl: "Temperaturatura"
          pt-PT:  "Temperatura"
          pt-BR:  "Temperatura"
          sl-SI:  "Temperatura"
          sk-SK:  "Teplota"
          sv-SE:  "Temperatur"
          th-TH:  "อุณหภูมิ"
          tr-TR:  "Sıcaklık"      
      default-value: 0.0
      ui-sticky-value: 0.0
      ui-value-unit: "%"
      import: [typical_slider2]      
main:
    import: [pass_template]
    shader: PS_Tint@Mood.yfx
    textures:
        texColor:
            channel: PIPE_INPUTS_COLOR
